App\Entity\ProduitAttribut:
    type: entity
    table: produit_attribut
    options:
        orderBy: order ASC
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        nom:
            type: string
            length: 255
            fixed: false
            nullable: false
        label:
            type: string
            length: 255
            fixed: false
            nullable: false
        ordre:
            type: integer
            unsigned: false
            nullable: true
            column: row_order
        description:
            type: text
            nullable: true
        required:
            type: boolean
            nullable: true
        global:
            type: boolean
            nullable: true
    manyToOne:
        categorie:
            targetEntity: Categorie
            cascade: {  }
            mappedBy: null
            inversedBy: produitAttributs
            joinColumns:
                categorie_id:
                    referencedColumnName: id
            orphanRemoval: false
        type:
            targetEntity: TypeAttribut
            cascade: {  }
            mappedBy: null
            joinColumns:
                type_id:
                    referencedColumnName: id
            orphanRemoval: false
    oneToMany:
        attributValues:
            targetEntity: ProduitAttributValue
            mappedBy: produitAttribut
            cascade: [persist]
            orphanRemoval: true